Package io.vertx.ext.web.handler.graphql.instrumentation

## Class JsonObjectAdapter

- java.lang.Object
- - graphql.execution.instrumentation.SimplePerformantInstrumentation
  - - io.vertx.ext.web.handler.graphql.instrumentation.JsonObjectAdapter

- All Implemented Interfaces:
    `graphql.execution.instrumentation.Instrumentation`

      public class JsonObjectAdapter
      extends graphql.execution.instrumentation.SimplePerformantInstrumentation

  Instrument `PropertyDataFetcher` so that `JsonObject` fields can be extracted.

- - ### Field Summary

    - ### Fields inherited from class graphql.execution.instrumentation.SimplePerformantInstrumentation

      `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JsonObjectAdapter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `graphql.schema.DataFetcher<?>` | `instrumentDataFetcher​(graphql.schema.DataFetcher<?> dataFetcher, graphql.execution.instrumentation.parameters.InstrumentationFieldFetchParameters parameters, graphql.execution.instrumentation.InstrumentationState state)` |

    - ### Methods inherited from class graphql.execution.instrumentation.SimplePerformantInstrumentation

      `beginExecuteObject, beginExecuteOperation, beginExecution, beginExecutionStrategy, beginFieldCompletion, beginFieldExecution, beginFieldFetch, beginFieldListCompletion, beginParse, beginSubscribedFieldEvent, beginValidation, createState, createStateAsync, instrumentDocumentAndVariables, instrumentExecutionContext, instrumentExecutionInput, instrumentExecutionResult, instrumentSchema`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface graphql.execution.instrumentation.Instrumentation

      `beginDeferredField, beginFieldFetching`

- - ### Constructor Detail

    - #### JsonObjectAdapter

          public JsonObjectAdapter()

  - ### Method Detail

    - #### instrumentDataFetcher

          public graphql.schema.DataFetcher<?> instrumentDataFetcher​(graphql.schema.DataFetcher<?> dataFetcher,
                                                                     graphql.execution.instrumentation.parameters.InstrumentationFieldFetchParameters parameters,
                                                                     graphql.execution.instrumentation.InstrumentationState state)

      Specified by:
        `instrumentDataFetcher` in interface `graphql.execution.instrumentation.Instrumentation`
      Overrides:
        `instrumentDataFetcher` in class `graphql.execution.instrumentation.SimplePerformantInstrumentation`